/************************************************************************
 * File:	util.h							*
 *									*
 * Description:	This file contains the function declarations for the	*
 *		miscellaneous utility functions.			*
 ************************************************************************/

# ifndef _UTIL_H
# define _UTIL_H

extern XtArgVal StringToLayout (
# if NeedFunctionPrototypes
    Widget		/* widget */,
    String		/* string */
# endif
);


extern void CenterOnWidget (
# if NeedFunctionPrototypes
    Widget		/* shell  */,
    Widget		/* center */,
# if NeedWidePrototypes
    int			/* force */
# else
    Boolean		/* force */
# endif
# endif
);


extern void CenterOnScreen (
# if NeedFunctionPrototypes
    Widget		/* shell */,
# if NeedWidePrototypes
    int			/* force */
# else
    Boolean		/* force */
# endif
# endif
);


extern void AddDeleteWindowProtocol (
# if NeedFunctionPrototypes
    Widget		/* shell  */,
    String		/* action */
# endif
);


extern void WarpToCenter (
# if NeedFunctionPrototypes
    Widget		/* w */
# endif
);


extern void ListAddCursorTranslations (
# if NeedFunctionPrototypes
    Widget		/* viewport */
# endif
);


extern void ListAddCursorAccelerators (
# if NeedFunctionPrototypes
    Widget		/* viewport */,
    Widget		/* w        */
# endif
);


extern void SetTextString (
# if NeedFunctionPrototypes
    Widget		/* text  */,
    String		/* value */
# endif
);


extern String GetTextString (
# if NeedFunctionPrototypes
    Widget		/* text */
# endif
);


extern void SetLabelString (
# if NeedFunctionPrototypes
    Widget		/* label */,
    String		/* value */
# endif
);


extern String GetLabelString (
# if NeedFunctionPrototypes
    Widget		/* label */
# endif
);


extern void AddAutoRepeatAction (
# if NeedFunctionPrototypes
    XtAppContext	/* app_context */
# endif
);


extern Widget CreateHelpButton (
# if NeedFunctionPrototypes
    Widget		/* parent */,
    String		/* name   */
# endif
);


extern void UpdateHelpMessage (
# if NeedFunctionPrototypes
    Widget		/* button  */,
    String		/* message */,
    Dimension		/* width   */
# endif
);

# endif /* _UTIL_H */
